#ifndef _ATB_USBASP_H_
#define _ATB_USBASP_H_

char scanI2C ( void );
char setI2CBitrate ( unsigned short bitrate );
char checkI2CDevice ( unsigned char address );
char toggleI2CPins ( void );


// Addresses range to scan:
#define I2C_7BIT_ADDRESS_MIN		0x08
#define I2C_7BIT_ADDRESS_MAX		0x77

// LibUSB commands I2C:
#define USBASP_I2C_SLA_CHECK		100
#define USBASP_FUNC_I2C_BITRATE		101
#define USBASP_FUNC_I2C_TX_SHORT	102
#define USBASP_FUNC_I2C_TX_MORE		103
#define USBASP_FUNC_I2C_RX_SHORT	104
#define USBASP_FUNC_I2C_RX_MORE		105
#define USBASP_I2C_START			120
#define USBASP_I2C_STOP				121
#define USBASP_I2C_TX_BYTE			122
#define USBASP_I2C_RX_BYTE			123

#define USBASP_I2C_BITBANG_ON		124
#define USBASP_I2C_BITBANG_OFF		125
#define USBASP_I2C_SDA_HI			126
#define USBASP_I2C_SDA_LO			127
#define USBASP_I2C_SCL_HI			128
#define USBASP_I2C_SCL_LO			129

//LibUSB commands SPI:
#define USBASP_SPI_CONNECT			150
#define USBASP_SPI_DISCONNECT		151
#define USBASP_SPI_CS				152
#define USBASP_SPI_DC_A0_LT			153
#define USBASP_SPI_RST				154
#define USBASP_SPI_TX_BYTE			155
#define USBASP_SPI_TXRX_BYTE		156
#define USBASP_SPI_TX_BUF			157
#define USBASP_SPI_SW_XMIT_N_BITS	158

#define USBASP_I2C_MIN_BITRATE		5
#define USBASP_I2C_MAX_BITRATE		800

#define ATB_USPASP_MAX_BUFFER_SIZE	254



#endif	// _ATB_USBASP_H_
