#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <string.h>
#ifdef WIN32
	#include <libusb.h>
#else
	#include <libusb-1.0/libusb.h>
#endif

#include "main.h"
#include "usb.h"


struct libusb_device_handle *devh = NULL;

libusb_context *ctx = NULL;


char openUSB(void)
{
	int result;

	if ((result = libusb_init(&ctx)) < 0)
	{
		return ERROR;
	}
	else
	{
		devh = libusb_open_device_with_vid_pid(ctx, ATBUSBasp_VID, ATBUSBasp_PID);
		if (devh != NULL)
		{
			return SUCCESS;
		}
		else
		{
			closeUSB();
			return ERROR;
		}
	}
}


void closeUSB(void)
{
	libusb_close(devh);
	libusb_exit(ctx);
}


char usbSendControlData(struct TusbControlPacket controlPacket)
{
	int result;

	if ((result = libusb_control_transfer(
		devh,
		controlPacket.bmRequestType,
		controlPacket.bRequest,
		controlPacket.wValue,
		controlPacket.wIndex,
		controlPacket.data,
		controlPacket.wLength,
		USB_TRANSFER_TIMEOUT_MS)) >= 0)
	{
		return SUCCESS;
	}
	else
	{
		return ERROR;
	}
}
