#ifndef _USB_H_
#define _USB_H_


struct TusbControlPacket {
unsigned char	bmRequestType;		// the request type field for the setup packet
unsigned char	bRequest;			// the request field for the setup packet
unsigned short	wValue;				// the value field for the setup packet
unsigned short	wIndex;				// the index field for the setup packet
unsigned char	*data;				// a suitably-sized data buffer for either input or output (depending on direction bits within bmRequestType)
unsigned short	wLength;			// the length field for the setup packet. The data buffer should be at least this size
};

char openUSB ( void );
void closeUSB ( void );
char usbSendControlData ( struct TusbControlPacket controlPacket );


#define ATBUSBasp_VID				0x16C0
#define ATBUSBasp_PID				0x05DC

#define USB_TRANSFER_TIMEOUT_MS		1000



#endif //_USB_H_
